Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 13893

Description

Connect to this WMS server:

http://www.idee.es/wms/MTN-Raster/MTN-Raster?

and add the only layer to the project. This warnong is displayed:

Request contains an invalid sample dimension value.

The WMS vendor also reported: 

  Parámetros: 

    SERVICE=WMS

    VERSION=1.1.1

    REQUEST=GetMap

    BBOX=-1079461.786079,2422323.981410,1462704.713169,5128066.543535

    SRS=EPSG:23030

    WIDTH=32

    HEIGHT=32

    LAYERS=mtn_rasterizado

    STYLES=

    FORMAT=image/png

    TRANSPARENT=TRUE

  Descripción del error: 

    Dimensión inválida: Ancho 50-2000 Alto 50-1700

  Servicios disponibles:

This is because the image with the thumbnail for the legend can't be served. Everything else works but the message is annoying and

appears every time you open a proyect with this layer (several times if you have several layers with this problem in the project).

Reproducible in Ubuntu and Windows using trunk.

History

#1 - 2011-05-21 10:33 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

In QGIS 1.7 you'll be able to select the size of the tile to use when adding WMS layers. I just tested trunl with your WMS server and it works fine (no error

message) choosing for example a 256x256 tiles size.

#2 - 2011-05-24 10:20 AM - Goyo D
http://www.idee.es/wms/MTN-Raster/MTN-Raster


Sorry if I'm just making noise but I still get a warning using 256x256 tiles.  I'm attaching a sample project which causes the problem on opening even using

256x256 px tiles. The message is just a bit different:

Request contains an invalid sample dimension value.

The WMS vendor also reported: 

  Parámetros: 

    SERVICE=WMS

    VERSION=1.1.1

    REQUEST=GetMap

    BBOX=-1059124.454085,2442661.313404,19278207.539893,22779993.307382

    SRS=EPSG:23030

    WIDTH=256

    HEIGHT=256

    LAYERS=mtn_rasterizado

    STYLES=

    FORMAT=image/png

    TILED=true

  Descripción del error: 

    La ventana solicitada es inválida

  Servicios disponibles: 

This can be avoided by unchecking "Create raster icons in legend" in general options, which is convenient for me, so I'm leaving the ticket as closed.

#3 - 2011-05-24 10:27 AM - Giovanni Manghi

probably my bad. Setting tile size at 512x512 no problems.

Files

sample.qgs 5.77 KB 2011-05-24 Goyo D
